/* event-group */

.event-group {
  border-radius: var(--border-radius);
  border: 1px solid var(--border-color);
  background-color: var(--bg-event);
}

/* event */

.events {
  border-radius: 0 0 var(--border-radius) var(--border-radius);
  transition: height var(--transition-long), display var(--transition-long) allow-discrete;
  height: 0;
  display: none;
}

.event-group.opening .events,
.event-group.opened .events {
  height: auto; /* garbage for safari */
  height: calc-size(auto, size);
  display: block;
}

@starting-style {
  .event-group.opening .events,
  .event-group.opened .events {
    height: 0;
  }
}

section.event {
  scroll-margin-top: 3rem;
  display: flex;
  flex-direction: column;
}

/* headers */

.header-event-group,
.header-event {
  position: sticky;
  display: flex;
  align-items: center;
  justify-content: space-between;
  overflow-x: hidden;
  padding: 0 5px;
  column-gap: 5px;
}

.header-event-group {
  top: 0;
  z-index: 2;
  background-color: var(--bg-event-group);
  border-radius: var(--border-radius);
}
.event-group:not(.closed) .header-event-group {
  border-bottom: 1px solid var(--border-color);
}

.header-event {
  top: 3rem;
  z-index: 1;
  background-color: var(--bg-event);
}

section.event:not(:first-of-type) .header-event {
  border-top: 1px solid var(--border-color);
}

/* titles */
.header-event-group a,
.header-event a {
  flex-grow: 1;
}

.event-group-title,
.event-title {
  display: flex;
  align-items: center;
  font-size: 1rem;
}

.event-group-title {
  z-index: 1;
  min-height: 3em;
}

.event-title {
  min-height: 2.3em;
}

/* button-parallels */

.parallel-gospels-buttons {
  display: flex;
  width: 0;
  column-gap: 0.3rem;
  transform: translateX(100%);
  transition: transform var(--transition-long);
}
.event-group.has-parallel-gospels .parallel-gospels-buttons {
  width: auto;
  transform: translateX(0);
}

.event-group:not(.has-parallel-gospels) .parallel-gospels-buttons {
  opacity: 0;
}

.parallel-gospels-buttons button,
.playpause {
  all: unset;
  display: flex;
  justify-content: center;
  width: 2rem;
  height: 2rem;
  cursor: pointer;
  border: 1px solid rgba(var(--border-color-rgb), 70%);
  border-radius: 50%;
  background-color: var(--bg-event);
  filter: brightness(96%);
  /* transition: brigthness var(--transition-long); */
}
.parallel-gospels-buttons button {
  align-items: center;
  font: 500 2rem var(--sans);
  color: rgb(var(--chrome-bg-dark-rgb));
}
.playpause {
  margin-top: 2px;
  font-size: 1rem;
  flex-shrink: 0;
  align-self: flex-start;
}

.parallel-gospels-buttons button:not(:disabled):hover,
.playpause:not(:disabled):hover {
  filter: brightness(89%);
}

.parallel-gospels-buttons button:disabled,
.playpause:disabled {
  opacity: 30%;
}

.playpause path,
.playpause polygon {
  stroke: rgb(var(--chrome-bg-dark-rgb));
  stroke-linecap: round;
  stroke-linejoin: round;
}
.playpause polygon {
  stroke-width: 300;
  paint-order: stroke;
}
.playpause:not(.playing) polygon {
  fill: LemonChiffon;
}
.playpause.playing polygon {
  fill: rgb(var(--chrome-bg-dark-rgb));
}
/* time-bar */

.time-bar-slot {
  width: 100%;
  position: fixed;
  bottom: 3.5rem;
  text-align: center;
  padding: 0.5rem;
  pointer-events: none;
  opacity: 0;
  transition: opacity var(--transition-long);
}
.time-bar-slot.visible {
  pointer-events: all;
  opacity: 1;
}
.time-bar-slot progress {
  width: 100%;
  height: 1.7rem;
  transform: scaleY(1.4);
}
.time-bar {
  padding: 0 0.3rem;
  backdrop-filter: blur(9px);
  border-radius: 1.25rem;
  border: 1px solid var(--border-color);
}
